> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# [BETA] Invite Vendors

> Invites a collection of Vendors to the Topsort platform.

The request payload should contain an array of pairs of vendor's ID, and
email.



## OpenAPI

````yaml /openapi.json post /public/v1/invitation-service/invitations
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/invitation-service/invitations:
    post:
      tags:
        - Invitation API
      summary: '[BETA] Invite Vendors'
      description: |-
        Invites a collection of Vendors to the Topsort platform.

        The request payload should contain an array of pairs of vendor's ID, and
        email.
      operationId: invite_vendors
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Advanced_APIs_VendorInvitesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_VendorInvitesRequest:
      properties:
        invites:
          items:
            $ref: '#/components/schemas/Advanced_APIs_VendorInvite'
          type: array
          maxItems: 500
          minItems: 1
          title: Invites
          description: >-
            A list of vendors to invite to the Topsort platform. The IDs
            provided must already exist on the catalog.
      type: object
      required:
        - invites
      title: VendorInvitesRequest
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_VendorInvite:
      properties:
        vendorId:
          type: string
          title: Vendorid
          description: The ID of the vendor.
        vendorEmail:
          type: string
          format: email
          title: Vendoremail
          description: The email of the vendor.
        targetUserRole:
          $ref: '#/components/schemas/Advanced_APIs_UserRole'
          description: The role to assign to the invited vendor user.
          default: vendor_analyst
      type: object
      required:
        - vendorId
        - vendorEmail
      title: VendorInvite
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Advanced_APIs_UserRole:
      type: string
      enum:
        - admin
        - sales
        - marketplace_finance
        - marketplace_analyst
        - marketplace_developer
        - vendor_admin
        - vendor_analyst
      title: UserRole
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````